package com.qmth.teachcloud.common.bean.dto.excel;

import com.qmth.teachcloud.common.annotation.ExcelImportTempleteVaild;
import com.qmth.teachcloud.common.annotation.ExcelNote;
import com.qmth.teachcloud.common.annotation.ExcelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @Description: 基础课程数据导入类
 * @Author: CaoZixuan
 * @Date: 2021-08-06
 */
@ExcelImportTempleteVaild(value = true)
public class BasicCourseImportDto implements Serializable {
    @ExcelNote(value = "课程名称")
    @ExcelProperty(name = "课程名称", width = 30, index = 1)
    @NotNull
    private String courseName;

    @ExcelNote(value = "课程编码")
    @ExcelProperty(name = "课程编码", width = 30, index = 2)
    @NotNull
    private String courseCode;

    @ExcelNote(value = "所属教研室")
    @ExcelProperty(name = "所属教研室", width = 30, index = 3)
    @NotNull
    private String teachingRoomName;

    @ExcelNote(value = "授课班级")
    @ExcelProperty(name = "授课班级", width = 30, index = 4)
    private String clazz;

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getTeachingRoomName() {
        return teachingRoomName;
    }

    public void setTeachingRoomName(String teachingRoomName) {
        this.teachingRoomName = teachingRoomName;
    }

    public String getClazz() {
        return clazz;
    }

    public void setClazz(String clazz) {
        this.clazz = clazz;
    }
}
